#! /bin/sh
####################################################
## This script will convert qhacc MySQL datafiles ##
## to qhacc local datafiles                       ##
####################################################

MYSQL="mysql $* --silent -e "

$MYSQL "select CONCAT( id, '||', name, '||', description ) from ledgers" > ledgers

$MYSQL "select CONCAT( pref, '||', value ) from preferences" > preferences

# FIX RECO
for f in transactions memorized; do
  $MYSQL "select CONCAT( id, '||', num, '||', payee, '||', memo, '||', sum, '||', date_format( date, '%m/%d/%Y' ), '||', reco, '||', acctid, '||', splitgroup, '||', ledgerid ) from $f" > $f
done

# FIX LEFTPLUS
$MYSQL "select CONCAT( id, '||', name, '||', leftplus ) from accounttypes" > accounttypes

$MYSQL "select CONCAT( id, '||', name, '||', obal, '||', cbal, '||', rbal, '||', budget, '||', transnums, '||', defaultnum, '||', num, '||', instname, '||', instaddr1, '||', instaddr2, '||', instcity, '||', inststate, '||', instzip, '||', instphone, '||', instfax, '||', instemail, '||', instcontact, '||', instnotes, '||', category, '||', taxed, '||', type, '||', pid ) from accounts" > accounts


