#! /bin/sh
###################################################
## This script will convert qhacc memorized       #
## transaction files to version 0.7 compatibility #
###################################################

AWK=awk
GREP=grep
ACCTS=$($GREP "ACCTFILES=" config|cut -d'=' -f2-)

for f in ${ACCTS}; do
    typeset acctfile=${f}.info
    typeset memfile=${f}.mem
    typeset mems=""
    cp $memfile $memfile.save
    cp $acctfile $acctfile.save

    
    mems=$($GREP -v NUMTRANS $memfile | $AWK -F'|' '{printf "%s ",$1}')
    echo "MEMS="${mems} >>$acctfile
done

echo "if nothing went wrong, you can now delete all your .save and .mem files"
