#! /bin/sh
###################################################
## This script will convert qhacc datafiles from  #
## version 2.2 to mysql insert statements         #
###################################################


AWK=awk
SED=sed
oPWD=`pwd`
cd $QHACC_HOME

$SED -e "s/'/QQQQ/g" preferences | $AWK -F\| '
{
  printf( "mysql $* -e \"insert into preferences values (" );
  for( i=1; i<NF-1; i=i+2 ){ printf( "QQ%sQQ,",$i ) }
  printf( "QQ%sQQ);\"\n",$NF );
}
' | $SED -e "s/QQ/\'/g"

$SED -e "s/'/QQQQ/g" accounts | $AWK -F\| '
{
  printf( "mysql $* -e \"insert into accounts values (" );
  for( i=1; i<NF-1; i=i+2 ){
   if( i==1 || i==7 || i==9 || i==11 || i==45 ){ printf( "%s,",$i ) }
   else{
     if( i==41 || i==43 ){ 
       if( $i=="N" ) printf( "0," );
       else printf( "1," );
     }
     else printf( "QQ%sQQ,",$i );
   }
  }
  
  printf( "%s);\"\n",$NF );
}
' | $SED -e "s/QQ/'/g"

$SED -e "s/'/QQQQ/g" transactions | $AWK -F\| '
{
  printf( "mysql $* -e \"insert into transactions values (" );
  for( i=1; i<NF-1; i=i+2 ){
   if( i==1 || i==13 || i==15 || i==17 ){ printf( "%s,",$i ) }
   else{
     if( i==11 ){ 
       //conv from date
       asz=split( $i, arr, "/" );
       $i=arr[3]"-"arr[1]"-"arr[2];
     }
     printf( "QQ%sQQ,",$i );
   }
  }
  printf( "%s);\"\n",$NF );
}
' | $SED -e "s/QQ/'/g"

$SED -e "s/'/QQQ/g" memorized | $AWK -F\| '
{
  printf( "mysql $* -e \"insert into memorized values (" );
  for( i=1; i<NF-1; i=i+2 ){
   if( i==1 || i==13 || i==15 || i==17 ){ printf( "%s,",$i ) }
   else{
     if( i==11 ){ 
       //conv from date
       asz=split( $i, arr, "/" );
       $i=arr[3]"-"arr[1]"-"arr[2];
     }
     printf( "QQ%sQQ,",$i );
   }
  }
  printf( "%s);\"\n",$NF );
}
' | $SED -e "s/QQ/'/g"

cd $oPWD
